# Method: billingAccounts.locations.recommenders.recommendations.markDismissed

- [HTTP request](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.recommenders.recommendations/markDismissed#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.recommenders.recommendations/markDismissed#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.recommenders.recommendations/markDismissed#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.recommenders.recommendations/markDismissed#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.recommenders.recommendations/markDismissed#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.recommenders.recommendations/markDismissed#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.recommenders.recommendations/markDismissed#body.aspect_1)

Mark the Recommendation State as Dismissed. Users can use this method to indicate to the Recommender API that an ACTIVE recommendation has to be marked back as DISMISSED.

recommendations.markDismissed can be applied to recommendations in ACTIVE state.

Requires the recommender.\*.update IAM permission for the specified recommender.

### HTTP request

`POST https://recommender.googleapis.com/v1/{name=billingAccounts/*/locations/*/recommenders/*/recommendations/*}:markDismissed`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the recommendation. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "etag": string } ``` |

| Fields ||
|---|---|
| `etag` | `string` Fingerprint of the Recommendation. Provides optimistic locking. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.recommenders.recommendations#Recommendation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires **one of** the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource, depending on the resource type:

- `recommender.usageCommitmentRecommendations.update`
- `recommender.computeAddressIdleResourceRecommendations.update`
- `recommender.computeDiskIdleResourceRecommendations.update`
- `recommender.computeImageIdleResourceRecommendations.update`
- `recommender.computeInstanceGroupManagerMachineTypeRecommendations.update`
- `recommender.computeInstanceIdleResourceRecommendations.update`
- `recommender.computeInstanceMachineTypeRecommendations.update`
- `recommender.iamPolicyRecommendations.update`
- `recommender.resourcemanagerProjectUtilizationRecommendations.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).